$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.21-win32-ia32.msi'
$url64 = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.21-win32-x64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-viewer*'
  checksum      = 'EE92B88127320BCE77DD7934F1BE1B0695E9F555C76C960BF8234AA70FA52BC9'
  checksum64    = 'BAD64860C2B94D503951464E64FF7D3390D79112160CD59F970465EC34346E4A'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize Desktop UI" -PathType 'Machine'
